NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.SimSimulation Class Reference

This is the root object in a .sim file. More...

Inheritance diagram for NXOpen.CAE.SimSimulation:
NXOpen.NXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AxisymAbstractionType { None, ZxPlane, XyPlane, XxyPlane }
 Used to specify the axisymmetric abstraction type during solution creation. More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe void AddBc (NXOpen.CAE.SimBC bc, NXOpen.CAE.SimSolution solution, NXOpen.CAE.SimSolutionStep solutionStep)
 Adds the boundary condition to the step in the solution passed. More...
 
unsafe void BcSequenceDisplay (NXOpen.NXObject[] objects)
 Updates the specified boundary conditions persistent display color according to the sequence colors defined in customer default setting. More...
 
unsafe NXOpen.CAE.SimSolution CloneSolution (NXOpen.CAE.SimSolution oldSolution, string suggestedName)
 Clone the solution More...
 
unsafe NXOpen.CAE.AutoBCBuilder CreateAutoBcBuilder (string pcBCDescName, string pcRecipeName)
 Creates a NXOpen.CAE.AutoBCBuilder More...
 
unsafe
NXOpen.CAE.AutoCyclicSymmetryPairsBuilder 
CreateAutoCyclicSymmetryPairsBuilder (string pcBCDescName)
 Creates a NXOpen.CAE.AutoCyclicSymmetryPairsBuilder More...
 
unsafe NXOpen.CAE.AutoPairsBuilder CreateAutoPairsBuilder (string pcBCDescName)
 Creates a NXOpen.CAE.AutoPairsBuilder More...
 
unsafe NXOpen.CAE.SimBCBuilder CreateBcBuilderForBc (NXOpen.CAE.SimBC bc)
 Creates a boundary condition builder for the boundary condition passed More...
 
unsafe NXOpen.CAE.SimBCBuilder CreateBcBuilderForConstraintDescriptor (string bcDescName, string bcName)
 Creates a BC builder for the constraint descriptor passed More...
 
unsafe NXOpen.CAE.SimBCBuilder CreateBcBuilderForConstraintDescriptor (string bcDescName, string bcName, int label)
 Creates a BC builder for the constraint descriptor passed More...
 
unsafe NXOpen.CAE.SimBCBuilder CreateBcBuilderForLoadDescriptor (string bcDescName, string bcName)
 Creates a BC builder for the load descriptor passed More...
 
unsafe NXOpen.CAE.SimBCBuilder CreateBcBuilderForLoadDescriptor (string bcDescName, string bcName, int label)
 Creates a BC builder for the load descriptor passed More...
 
unsafe NXOpen.CAE.SimBCBuilder CreateBcBuilderForSimulationObjectDescriptor (string bcDescName, string bcName)
 Creates a boundary condition builder for the simulation object descriptor passed More...
 
unsafe NXOpen.CAE.SimBCBuilder CreateBcBuilderForSimulationObjectDescriptor (string bcDescName, string bcName, int label)
 Creates a boundary condition builder for the simulation object descriptor passed More...
 
unsafe
NXOpen.CAE.BcLabelManagerBuilder 
CreateBcLabelManagerBuilder ()
 Creates a NXOpen.CAE.BcLabelManagerBuilder More...
 
unsafe
NXOpen.CAE.BCSelectionDisplayBuilder 
CreateBcSelectionDisplayBuilder ()
 Creates a builder for boundary condition selection display controls command to display boundary condition's selection CAE geometries with this boundary condition's persistent display color More...
 
unsafe NXOpen.CAE.CaeRegionBuilder CreateCaeRegionBuilder (string pcRegionDescName, NXOpen.CAE.CaeRegion tRegion)
 Creates a NXOpen.CAE.CaeRegionBuilder More...
 
unsafe
NXOpen.CAE.SimConstraintSetBuilder 
CreateConstraintSetBuilder (string pcConstraintSetDescName, NXOpen.CAE.SimConstraintSet tConstraintSet)
 Creates a NXOpen.CAE.SimConstraintSetBuilder More...
 
unsafe
NXOpen.CAE.DeleteUnreferencedEntitiesBuilder 
CreateDeleteUnreferencedEntitiesBuilder ()
 Creates a NXOpen.CAE.DeleteUnreferencedEntitiesBuilder More...
 
unsafe
NXOpen.CAE.ImportedSolutionBuilder 
CreateImportedSolutionBuilder ()
 Creates a NXOpen.CAE.ImportedSolutionBuilder More...
 
unsafe NXOpen.CAE.SimLoadSetBuilder CreateLoadSetBuilder (string pcLoadSetDescName, string pName, NXOpen.CAE.SimLoadSet tLoadSet, int iLabel)
 Creates a NXOpen.CAE.SimLoadSetBuilder More...
 
unsafe
NXOpen.CAE.SimMotionLoadsBuilder 
CreateMotionLoadsBuilder ()
 Creates a NXOpen.CAE.SimMotionLoadsBuilder More...
 
unsafe
NXOpen.CAE.SimMotionLoadsListItemBuilder 
CreateMotionLoadsListItemBuilder ()
 Creates a NXOpen.CAE.SimMotionLoadsListItemBuilder More...
 
unsafe
NXOpen.CAE.SimBcPlotContoursBuilder 
CreateSimBcPlotContoursBuilder ()
 Creates a NXOpen.CAE.SimBcPlotContoursBuilder More...
 
unsafe
NXOpen.CAE.SimBcXyPlotBuilder 
CreateSimBcXyPlotBuilder ()
 Creates a NXOpen.CAE.SimBcXyPlotBuilder More...
 
unsafe NXOpen.CAE.SimSolution CreateSolution (string solverType, string analysisType, string solutionType, string name)
 Creates a solution More...
 
unsafe NXOpen.CAE.SimSolution CreateSolution (string solverType, string analysisType, string solutionType, string name, NXOpen.CAE.SimSimulation.AxisymAbstractionType abstractionType)
 Creates a solution More...
 
unsafe NXOpen.CAE.SimSolution CreateSolution (NXOpen.CAE.SimConditionSequence conditionSeqeunce, string solverType, string analysisType, string solutionType, string name)
 Creates a solution from a condition sequence More...
 
unsafe NXOpen.CAE.SimSolution CreateSolution (NXOpen.CAE.SimConditionSequence conditionSeqeunce, int numSteps, string solverType, string analysisType, string solutionType, string name)
 Creates a solution from a condition sequence and number of integration steps More...
 
unsafe NXOpen.CAE.SimSolution CreateSolution (NXOpen.CAE.SimConditionSequence conditionSeqeunce, double stepSize, NXOpen.Unit stepUnit, string solverType, string analysisType, string solutionType, string name)
 Creates a solution from a condition sequence and integration step size More...
 
unsafe NXOpen.CAE.SimSolution CreateSolution (NXOpen.CAE.NodalForceReport nodalForceReport, string name, NXOpen.CAE.NodalForceReport.SubcaseOption subcaseOption, NXOpen.CAE.SimSolutionStep stepTag, bool createForce, bool createMoment)
 Creates a solution from free body More...
 
unsafe NXOpen.CAE.SolutionManager CreateSolutionManager ()
 Creates a NXOpen.CAE.SolutionManager for the active solution environment More...
 
unsafe NXOpen.CAE.SimSolutionStep CreateSolutionStep (NXOpen.CAE.SimSolution solution, int stepType, string name)
 Creates a step and add to the solution More...
 
unsafe NXOpen.CAE.StepManager CreateStepManager (NXOpen.CAE.SimSolution tSol)
 Creates a NXOpen.CAE.StepManager for a solution More...
 
unsafe void DeleteSolution (NXOpen.CAE.SimSolution solution)
 Delete the solution More...
 
unsafe
NXOpen.CAE.SmoothOptResultsBuilder 
SmoothOptResultsCreateBuilder ()
 Creates a NXOpen.CAE.SmoothOptResultsBuilder More...
 
unsafe void UpdateFemodel ()
 This method will update the finite element model More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

NXOpen.CAE.Acoustics Acoustics [get]
 Returns the acoustics manage belonging to this sim part More...
 
unsafe NXOpen.CAE.SimSolution ActiveSolution [get, set]
 Returns or sets the active solution More...
 
NXOpen.CAE.AdaptivityMetaSolutionCollection AdaptivitySolutions [get]
 Returns the CAE Adaptivity collection belonging to this sim part More...
 
NXOpen.CAE.AeroStructManager AeroStructManager [get]
 Returns the aero structure manager belonging to this sim part More...
 
NXOpen.CAE.CaeDOFSetCollection CaeDOFSets [get]
 Returns the CAE DOFSet collection belonging to this sim part More...
 
NXOpen.CAE.CaeRegionCollection CaeRegions [get]
 Returns the CAE region collection belonging to this sim part More...
 
unsafe
NXOpen.CAE.SimConditionSeqMgr 
ConditionSeqManager [get]
 Returns the Condition Sequence Manager More...
 
NXOpen.CAE.SimConstraintCollection Constraints [get]
 Returns the constraint collection belonging to this sim part More...
 
NXOpen.CAE.SimConstraintSetCollection ConstraintSets [get]
 Returns the CAE SimConstraintSet collection belonging to this sim part More...
 
NXOpen.CAE.CorrelManager CorrelManager [get]
 Returns the correl manager belonging to this sim part More...
 
NXOpen.CAE.DataProcessingCollection DataProcessings [get]
 Returns the Data Processing collection belonging to this sim part More...
 
NXOpen.CAE.DurabilityManager DurabilityManager [get]
 Returns the durability manager belonging to this sim part More...
 
NXOpen.CAE.DurSpecialistManager DurSpecialistManager [get]
 Returns the durability specialist manager belonging to this sim part More...
 
unsafe NXOpen.CAE.FEModelOccurrence Femodel [get]
 Returns the FEModelOccurrence NXOpen.CAE.FEModelOccurrence associated with the simulation object More...
 
NXOpen.CAE.LaminateManager LaminateManager [get]
 Returns the laminate manager belonging to this sim part More...
 
NXOpen.CAE.SimLbcFolderCollection LbcFolders [get]
 Returns the CAE SimLbcFolder collection belonging to this sim part More...
 
NXOpen.CAE.SimLoadRecipeCollection LoadRecipes [get]
 Returns the CAE Load Recipe collection belonging to this sim part More...
 
NXOpen.CAE.SimLoadCollection Loads [get]
 Returns the load collection belonging to this sim part More...
 
NXOpen.CAE.SimLoadSetCollection LoadSets [get]
 Returns the CAE SimLoadSet collection belonging to this sim part More...
 
NXOpen.CAE.ModelAndLoadPreProcessor ModelAndLoadPreProcessor [get]
 Returns the aero structure manager belonging to this sim part More...
 
NXOpen.CAE.Optimization.DAOOptimizationManager OptimizationManager [get]
 Returns the Design and Analysis optimization manager belonging to this sim part More...
 
NXOpen.CAE.ResponseSimulation.Manager ResponseSimulationManager [get]
 Returns the response simulation manager belonging to this sim part More...
 
NXOpen.CAE.ResultMeasureCollection ResultMeasures [get]
 Returns the CAE ResultMeasure collection belonging to this sim part More...
 
NXOpen.CAE.SimSimulationObjectCollection SimulationObjects [get]
 Returns the simulation object collection belonging to this sim part More...
 
NXOpen.CAE.SimRecipeCollection SimulationRecipes [get]
 Returns the simulation recipe collection belonging to this sim part More...
 
NXOpen.CAE.SimSolutionCollection Solutions [get]
 Returns the CAE Solution collection belonging to this sim part More...
 
NXOpen.CAE.Optimization.TBSOptimizationManager TBSOptimizationManager [get]
 Returns the optimization manager belonging to this sim part More...
 
NXOpen.CAE.TestModelCollection TestModels [get]
 Returns the test model collection belonging to this sim part More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This is the root object in a .sim file.

Only one instance of this class will exist in each fem part file.

To obtain an instance of this class, use NXOpen.CAE.SimPart.Simulation

Created in NX4.0.0

Member Enumeration Documentation

Used to specify the axisymmetric abstraction type during solution creation.

Enumerator
None 

No axisymmetric elements are allowed

ZxPlane 

ZX plane - Z axis axisymmetric elements are allowed

XyPlane 

XY plane - Y axis axisymmetric elements are allowed

XxyPlane 

XY plane - X axis axisymmetric elements are allowed

Member Function Documentation

unsafe void NXOpen.CAE.SimSimulation.AddBc ( NXOpen.CAE.SimBC  bc,
NXOpen.CAE.SimSolution  solution,
NXOpen.CAE.SimSolutionStep  solutionStep 
)
inline

Adds the boundary condition to the step in the solution passed.

If solution is a null reference (Nothing in Visual Basic) then the boundary condition is added to the active solution If step is a null reference (Nothing in Visual Basic) then the boundary condition is added to the active step

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcboundary condition object
solutionsolution
solutionStepsolution step
unsafe void NXOpen.CAE.SimSimulation.BcSequenceDisplay ( NXOpen.NXObject[]  objects)
inline

Updates the specified boundary conditions persistent display color according to the sequence colors defined in customer default setting.

The behavior of this API is depends on the inputs: 1, If only NXOpen.CAE.SimBC objects are input, then each boundary condition will get its own sequence color. 2, If only NXOpen.CAE.SimLbcFolder objects are input, then each Folder will get its own sequence color and that color will be applied to all the boundary condition in the folder; If a folder is subfolders and the parent folder also in the input objects list, then this subfolder's color is same as the parent folder's color, if the subfolder in the input list but its parent folder is not in the list, this subfolder will get its own sequence color. 3, If only one NXOpen.CAE.SimLbcFolder is input, or if the input contains both NXOpen.CAE.SimBC and NXOpen.CAE.SimLbcFolder objects, then each boundary condition will get its own sequence color.

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
objectsThe input objects can be 1, NXOpen.CAE.SimBC 2, NXOpen.CAE.SimLbcFolder
unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SimSimulation.CloneSolution ( NXOpen.CAE.SimSolution  oldSolution,
string  suggestedName 
)
inline

Clone the solution

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
oldSolutionthe NXOpen.CAE.SimSolution to be cloned
suggestedNamename to use instead of default name (may be a null reference (Nothing in Visual Basic))
Returns
the newly created NXOpen.CAE.SimSolution
unsafe NXOpen.CAE.AutoBCBuilder NXOpen.CAE.SimSimulation.CreateAutoBcBuilder ( string  pcBCDescName,
string  pcRecipeName 
)
inline

Creates a NXOpen.CAE.AutoBCBuilder

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
pcBCDescNameThe neutral name of the LBCDescriptor.
pcRecipeNameThe name of the AutoBCRecipe
Returns
The AutoBCBuilder object
unsafe NXOpen.CAE.AutoCyclicSymmetryPairsBuilder NXOpen.CAE.SimSimulation.CreateAutoCyclicSymmetryPairsBuilder ( string  pcBCDescName)
inline

Creates a NXOpen.CAE.AutoCyclicSymmetryPairsBuilder

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
pcBCDescNameThe neutral name of the AutoCyclicSymmetryPairsDescriptor.
Returns
The AutoCyclicSymmetryPairsBuilder object
unsafe NXOpen.CAE.AutoPairsBuilder NXOpen.CAE.SimSimulation.CreateAutoPairsBuilder ( string  pcBCDescName)
inline

Creates a NXOpen.CAE.AutoPairsBuilder

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
pcBCDescNameThe neutral name of the AutoPairsDescriptor.
Returns
The AutoPairsBuilder object
unsafe NXOpen.CAE.SimBCBuilder NXOpen.CAE.SimSimulation.CreateBcBuilderForBc ( NXOpen.CAE.SimBC  bc)
inline

Creates a boundary condition builder for the boundary condition passed

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcboundary condition object
Returns
boundary condition builder
unsafe NXOpen.CAE.SimBCBuilder NXOpen.CAE.SimSimulation.CreateBcBuilderForConstraintDescriptor ( string  bcDescName,
string  bcName 
)
inline

Creates a BC builder for the constraint descriptor passed

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcDescNamename of the constraint descriptor
bcNamename of the constraint to be created
Returns
boundary condition builder
unsafe NXOpen.CAE.SimBCBuilder NXOpen.CAE.SimSimulation.CreateBcBuilderForConstraintDescriptor ( string  bcDescName,
string  bcName,
int  label 
)
inline

Creates a BC builder for the constraint descriptor passed

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcDescNamename of the constraint descriptor
bcNamename of the constraint to be created
labelconstraint label
Returns
boundary condition builder
unsafe NXOpen.CAE.SimBCBuilder NXOpen.CAE.SimSimulation.CreateBcBuilderForLoadDescriptor ( string  bcDescName,
string  bcName 
)
inline

Creates a BC builder for the load descriptor passed

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcDescNamename of the load descriptor
bcNamename of the load to be created
Returns
boundary condition builder
unsafe NXOpen.CAE.SimBCBuilder NXOpen.CAE.SimSimulation.CreateBcBuilderForLoadDescriptor ( string  bcDescName,
string  bcName,
int  label 
)
inline

Creates a BC builder for the load descriptor passed

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcDescNamename of the load descriptor
bcNamename of the load to be created
labelload label
Returns
boundary condition builder
unsafe NXOpen.CAE.SimBCBuilder NXOpen.CAE.SimSimulation.CreateBcBuilderForSimulationObjectDescriptor ( string  bcDescName,
string  bcName 
)
inline

Creates a boundary condition builder for the simulation object descriptor passed

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcDescNamename of the simulation object descriptor
bcNamename of the simulation object to be created
Returns
boundary condition builder
unsafe NXOpen.CAE.SimBCBuilder NXOpen.CAE.SimSimulation.CreateBcBuilderForSimulationObjectDescriptor ( string  bcDescName,
string  bcName,
int  label 
)
inline

Creates a boundary condition builder for the simulation object descriptor passed

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bcDescNamename of the simulation object descriptor
bcNamename of the simulation object to be created
labelsimulation object label
Returns
boundary condition builder
unsafe NXOpen.CAE.BcLabelManagerBuilder NXOpen.CAE.SimSimulation.CreateBcLabelManagerBuilder ( )
inline

Creates a NXOpen.CAE.BcLabelManagerBuilder

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
The BcLabelManagerBuilder object
unsafe NXOpen.CAE.BCSelectionDisplayBuilder NXOpen.CAE.SimSimulation.CreateBcSelectionDisplayBuilder ( )
inline

Creates a builder for boundary condition selection display controls command to display boundary condition's selection CAE geometries with this boundary condition's persistent display color

Created in NX10.0.0

License requirements: nx_design_sim ("NX Design Simulation")

Returns
unsafe NXOpen.CAE.CaeRegionBuilder NXOpen.CAE.SimSimulation.CreateCaeRegionBuilder ( string  pcRegionDescName,
NXOpen.CAE.CaeRegion  tRegion 
)
inline

Creates a NXOpen.CAE.CaeRegionBuilder

Created in NX7.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
pcRegionDescNameThe neutral name of the region descriptor.
tRegionThe region if we are editing it, or a null reference (Nothing in Visual Basic) if we are creating a new one
Returns
The RegionBuilder object
unsafe NXOpen.CAE.SimConstraintSetBuilder NXOpen.CAE.SimSimulation.CreateConstraintSetBuilder ( string  pcConstraintSetDescName,
NXOpen.CAE.SimConstraintSet  tConstraintSet 
)
inline

Creates a NXOpen.CAE.SimConstraintSetBuilder

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
pcConstraintSetDescNameThe neutral name of the constraint set descriptor.
tConstraintSetThe constraint set if we are editing it, or a null reference (Nothing in Visual Basic) if we are creating a new one
Returns
The ConstraintSetBuilder object
unsafe NXOpen.CAE.DeleteUnreferencedEntitiesBuilder NXOpen.CAE.SimSimulation.CreateDeleteUnreferencedEntitiesBuilder ( )
inline

Creates a NXOpen.CAE.DeleteUnreferencedEntitiesBuilder

Created in NX1847.0.0

License requirements: None.

Returns
The DeleteUnreferencedEntitiesBuilder object
unsafe NXOpen.CAE.ImportedSolutionBuilder NXOpen.CAE.SimSimulation.CreateImportedSolutionBuilder ( )
inline

Creates a NXOpen.CAE.ImportedSolutionBuilder

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
The ImportedSolutionBuilder object
unsafe NXOpen.CAE.SimLoadSetBuilder NXOpen.CAE.SimSimulation.CreateLoadSetBuilder ( string  pcLoadSetDescName,
string  pName,
NXOpen.CAE.SimLoadSet  tLoadSet,
int  iLabel 
)
inline

Creates a NXOpen.CAE.SimLoadSetBuilder

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
pcLoadSetDescNameThe neutral name of the load set descriptor.
pNameThe name of the load set.
tLoadSetThe load set if we are editing it, or a null reference (Nothing in Visual Basic) if we are creating a new one
iLabelThe label of the load set.
Returns
The LoadSetBuilder object
unsafe NXOpen.CAE.SimMotionLoadsBuilder NXOpen.CAE.SimSimulation.CreateMotionLoadsBuilder ( )
inline

Creates a NXOpen.CAE.SimMotionLoadsBuilder

Created in NX5.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
The SimMotionLoadsBuilder object
unsafe NXOpen.CAE.SimMotionLoadsListItemBuilder NXOpen.CAE.SimSimulation.CreateMotionLoadsListItemBuilder ( )
inline

Creates a NXOpen.CAE.SimMotionLoadsListItemBuilder

Created in NX5.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
The SimMotionLoadsListItemBuilder object
unsafe NXOpen.CAE.SimBcPlotContoursBuilder NXOpen.CAE.SimSimulation.CreateSimBcPlotContoursBuilder ( )
inline

Creates a NXOpen.CAE.SimBcPlotContoursBuilder

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
The SimBcPlotContoursBuilder object
unsafe NXOpen.CAE.SimBcXyPlotBuilder NXOpen.CAE.SimSimulation.CreateSimBcXyPlotBuilder ( )
inline

Creates a NXOpen.CAE.SimBcXyPlotBuilder

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
The SimBcXyPlotBuilder object
unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SimSimulation.CreateSolution ( string  solverType,
string  analysisType,
string  solutionType,
string  name 
)
inline

Creates a solution

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.CAE.SimSimulation.CreateSolution with abstraction type input instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
Returns
the created NXOpen.CAE.SimSolution
unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SimSimulation.CreateSolution ( string  solverType,
string  analysisType,
string  solutionType,
string  name,
NXOpen.CAE.SimSimulation.AxisymAbstractionType  abstractionType 
)
inline

Creates a solution

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
abstractionTypethe axisymmetric abstraction type. Refer to NX help for more information
Returns
the created NXOpen.CAE.SimSolution
unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SimSimulation.CreateSolution ( NXOpen.CAE.SimConditionSequence  conditionSeqeunce,
string  solverType,
string  analysisType,
string  solutionType,
string  name 
)
inline

Creates a solution from a condition sequence

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.CAE.SimSimulation.CreateSolution and NXOpen.CAE.SimSolution.SetTimePropsFromConditionSequence instead.

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen.CAE.SimConditionSequence
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
Returns
the created NXOpen.CAE.SimSolution
unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SimSimulation.CreateSolution ( NXOpen.CAE.SimConditionSequence  conditionSeqeunce,
int  numSteps,
string  solverType,
string  analysisType,
string  solutionType,
string  name 
)
inline

Creates a solution from a condition sequence and number of integration steps

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.CAE.SimSimulation.CreateSolution and NXOpen.CAE.SimSolution.SetTimePropsFromConditionSequence with number of steps input instead.

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen.CAE.SimConditionSequence
numStepsnumber of integration steps
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
Returns
the created NXOpen.CAE.SimSolution
unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SimSimulation.CreateSolution ( NXOpen.CAE.SimConditionSequence  conditionSeqeunce,
double  stepSize,
NXOpen.Unit  stepUnit,
string  solverType,
string  analysisType,
string  solutionType,
string  name 
)
inline

Creates a solution from a condition sequence and integration step size

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.CAE.SimSimulation.CreateSolution and NXOpen.CAE.SimSolution.SetTimePropsFromConditionSequence with step size input instead.

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
conditionSeqeuncecreate solution from NXOpen.CAE.SimConditionSequence
stepSizesize of integration steps
stepUnitstep size NXOpen.Unit
solverTypename of the solver
analysisTypename of the analysis type
solutionTypename of the solution type
namename of the solution to be created
Returns
the created NXOpen.CAE.SimSolution
unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SimSimulation.CreateSolution ( NXOpen.CAE.NodalForceReport  nodalForceReport,
string  name,
NXOpen.CAE.NodalForceReport.SubcaseOption  subcaseOption,
NXOpen.CAE.SimSolutionStep  stepTag,
bool  createForce,
bool  createMoment 
)
inline

Creates a solution from free body

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
nodalForceReportcreate solution from NXOpen.CAE.NodalForceReport
namename of the solution to be created
subcaseOptionthe subcase option
stepTagsolution step to be used if subcase option is single
createForceshould be true to create force lbc
createMomentshould be true to create moment lbc
Returns
the created NXOpen.CAE.SimSolution
unsafe NXOpen.CAE.SolutionManager NXOpen.CAE.SimSimulation.CreateSolutionManager ( )
inline

Creates a NXOpen.CAE.SolutionManager for the active solution environment

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
The SolutionManager object
unsafe NXOpen.CAE.SimSolutionStep NXOpen.CAE.SimSimulation.CreateSolutionStep ( NXOpen.CAE.SimSolution  solution,
int  stepType,
string  name 
)
inline

Creates a step and add to the solution

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solutionthe solution to which the step will be added, if a a null reference (Nothing in Visual Basic) is passed the current active solution will be used
stepTypeindex of the step type
namename of the step
Returns
step NXOpen.CAE.SimSolutionStep to be added
unsafe NXOpen.CAE.StepManager NXOpen.CAE.SimSimulation.CreateStepManager ( NXOpen.CAE.SimSolution  tSol)
inline

Creates a NXOpen.CAE.StepManager for a solution

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
tSolsolution
Returns
The StepManager object
unsafe void NXOpen.CAE.SimSimulation.DeleteSolution ( NXOpen.CAE.SimSolution  solution)
inline

Delete the solution

Created in NX4.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
solutionthe NXOpen.CAE.SimSolution to be deleted
unsafe NXOpen.CAE.SmoothOptResultsBuilder NXOpen.CAE.SimSimulation.SmoothOptResultsCreateBuilder ( )
inline

Creates a NXOpen.CAE.SmoothOptResultsBuilder

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
The SmoothOptResultsBuilder object
unsafe void NXOpen.CAE.SimSimulation.UpdateFemodel ( )
inline

This method will update the finite element model

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Property Documentation

NXOpen.CAE.Acoustics NXOpen.CAE.SimSimulation.Acoustics
get

Returns the acoustics manage belonging to this sim part

Created in NX1847.0.0

unsafe NXOpen.CAE.SimSolution NXOpen.CAE.SimSimulation.ActiveSolution
getset

Returns or sets the active solution

Created in NX4.0.0

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen.CAE.AdaptivityMetaSolutionCollection NXOpen.CAE.SimSimulation.AdaptivitySolutions
get

Returns the CAE Adaptivity collection belonging to this sim part

Created in NX10.0.0

NXOpen.CAE.AeroStructManager NXOpen.CAE.SimSimulation.AeroStructManager
get

Returns the aero structure manager belonging to this sim part

Created in NX12.0.0

NXOpen.CAE.CaeDOFSetCollection NXOpen.CAE.SimSimulation.CaeDOFSets
get

Returns the CAE DOFSet collection belonging to this sim part

Created in NX7.5.0

NXOpen.CAE.CaeRegionCollection NXOpen.CAE.SimSimulation.CaeRegions
get

Returns the CAE region collection belonging to this sim part

Created in NX7.5.0

unsafe NXOpen.CAE.SimConditionSeqMgr NXOpen.CAE.SimSimulation.ConditionSeqManager
get

Returns the Condition Sequence Manager

Created in NX9.0.0

License requirements: None.

NXOpen.CAE.SimConstraintCollection NXOpen.CAE.SimSimulation.Constraints
get

Returns the constraint collection belonging to this sim part

Created in NX3.0.0

NXOpen.CAE.SimConstraintSetCollection NXOpen.CAE.SimSimulation.ConstraintSets
get

Returns the CAE SimConstraintSet collection belonging to this sim part

Created in NX11.0.0

NXOpen.CAE.CorrelManager NXOpen.CAE.SimSimulation.CorrelManager
get

Returns the correl manager belonging to this sim part

Created in NX3.0.0

NXOpen.CAE.DataProcessingCollection NXOpen.CAE.SimSimulation.DataProcessings
get

Returns the Data Processing collection belonging to this sim part

Created in NX12.0.0

NXOpen.CAE.DurabilityManager NXOpen.CAE.SimSimulation.DurabilityManager
get

Returns the durability manager belonging to this sim part

Created in NX7.5.0

NXOpen.CAE.DurSpecialistManager NXOpen.CAE.SimSimulation.DurSpecialistManager
get

Returns the durability specialist manager belonging to this sim part

Created in NX12.0.0

unsafe NXOpen.CAE.FEModelOccurrence NXOpen.CAE.SimSimulation.Femodel
get

Returns the FEModelOccurrence NXOpen.CAE.FEModelOccurrence associated with the simulation object

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen.CAE.LaminateManager NXOpen.CAE.SimSimulation.LaminateManager
get

Returns the laminate manager belonging to this sim part

Created in NX8.0.0

NXOpen.CAE.SimLbcFolderCollection NXOpen.CAE.SimSimulation.LbcFolders
get

Returns the CAE SimLbcFolder collection belonging to this sim part

Created in NX9.0.0

NXOpen.CAE.SimLoadRecipeCollection NXOpen.CAE.SimSimulation.LoadRecipes
get

Returns the CAE Load Recipe collection belonging to this sim part

Created in NX10.0.0

NXOpen.CAE.SimLoadCollection NXOpen.CAE.SimSimulation.Loads
get

Returns the load collection belonging to this sim part

Created in NX3.0.0

NXOpen.CAE.SimLoadSetCollection NXOpen.CAE.SimSimulation.LoadSets
get

Returns the CAE SimLoadSet collection belonging to this sim part

Created in NX10.0.0

NXOpen.CAE.ModelAndLoadPreProcessor NXOpen.CAE.SimSimulation.ModelAndLoadPreProcessor
get

Returns the aero structure manager belonging to this sim part

Created in NX1847.0.0

NXOpen.CAE.Optimization.DAOOptimizationManager NXOpen.CAE.SimSimulation.OptimizationManager
get

Returns the Design and Analysis optimization manager belonging to this sim part

Created in NX8.0.0

NXOpen.CAE.ResponseSimulation.Manager NXOpen.CAE.SimSimulation.ResponseSimulationManager
get

Returns the response simulation manager belonging to this sim part

Created in NX3.0.0

NXOpen.CAE.ResultMeasureCollection NXOpen.CAE.SimSimulation.ResultMeasures
get

Returns the CAE ResultMeasure collection belonging to this sim part

Created in NX8.0.0

NXOpen.CAE.SimSimulationObjectCollection NXOpen.CAE.SimSimulation.SimulationObjects
get

Returns the simulation object collection belonging to this sim part

Created in NX3.0.0

NXOpen.CAE.SimRecipeCollection NXOpen.CAE.SimSimulation.SimulationRecipes
get

Returns the simulation recipe collection belonging to this sim part

Created in NX3.0.0

NXOpen.CAE.SimSolutionCollection NXOpen.CAE.SimSimulation.Solutions
get

Returns the CAE Solution collection belonging to this sim part

Created in NX7.5.0

NXOpen.CAE.Optimization.TBSOptimizationManager NXOpen.CAE.SimSimulation.TBSOptimizationManager
get

Returns the optimization manager belonging to this sim part

Created in NX8.0.0

NXOpen.CAE.TestModelCollection NXOpen.CAE.SimSimulation.TestModels
get

Returns the test model collection belonging to this sim part

Created in NX1847.0.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.